global.$GLOBAL_OBJECT = global;
require.paths.push("../");
require("bn-lang");

var LogManager = require("bn-log").LogManager;
var PatternLayout = require("bn-log").PatternLayout;
var DefaultAppender = require("bn-log").DefaultAppender;
var Level = require("bn-log").Level;

var logger = LogManager.getLogger("test");
logger.setEffectiveLevel(Level.TRACE);

var layout = new PatternLayout();
layout.setConversionPattern("%r %d{DATE} [%-5p] %c - %m%n");

var appender = new DefaultAppender("test.one", require("sys").print);
appender.setLayout(layout);
logger.addAppender(appender);

logger.trace("this is a test trace");
logger.debug("this is a test debug");
logger.info("this is a test info");
logger.warn("this is a test warn");
logger.error("this is a test error");
logger.fatal("this is a test fatal");