var StopWatch = function(){this.init.apply(this, arguments);};
exports.StopWatch = StopWatch;

/**
* @class StopWatch
* @description Utility to get a duration in time 
* @constructor
* @param {String} _prefix
*/

/** @ignore */
StopWatch.prototype.init = function() {

	var _now = new Date().getTime();
	this._start = _now;
	this._stop = _now;
};

StopWatch.prototype.start = function() {

	this._start = new Date().getTime();
};

StopWatch.prototype.stop = function() {

	this._stop = new Date().getTime();
	return this;
};

StopWatch.prototype.duration = function() {

	return this._stop - this._start;
};
