var LogEvent = function(){this.init.apply(this, arguments);};
exports.LogEvent = LogEvent;

LogEvent.prototype.init = function(_logger, _level, _message, _exception) {

	this.logger = _logger;
	this.level = _level;
	this.message = _message;
	this.exception = _exception;

	this.timeStamp = new Date();
	this.timeStampInSeconds = Math.floor(this.timeStamp.getTime() / 1000);
};

LogEvent.prototype.getLogger = function() {

	return this.logger;
};

LogEvent.prototype.getTimeStamp = function() {

	return this.timeStamp;
};

LogEvent.prototype.getTimeStampInSeconds = function() {

	return this.timeStampInSeconds;
};

LogEvent.prototype.getLevel = function() {

	return this.level;
};

LogEvent.prototype.getMessage = function() {

	if(!this.message){ return ""; }
	return this.message;
};

LogEvent.prototype.getException = function() {

	return this.exception;
};
