var Hash = require("bn-lang").Hash;

var LogManager = function(){this.init.apply(this, arguments);};
exports.LogManager = LogManager;

LogManager.prototype.init = function() {};

LogManager.START_TIMESTAMP = new Date();
LogManager.LOGGERS = new Hash();

LogManager.getLogger = function(_loggerName) {

// TODO - hierarchy
	var contains = LogManager.LOGGERS.containsKey(_loggerName);
	if (!contains) {

		LogManager.LOGGERS.put(_loggerName, new Logger(_loggerName));
	}

	return LogManager.LOGGERS.get(_loggerName);
};

LogManager.getObjectLogger = function(_loggerName) {

// TODO - hierarchy
	var contains = LogManager.LOGGERS.containsKey(_loggerName);
	if (!contains) {

		LogManager.LOGGERS.put(_loggerName, new ObjectLogger(_loggerName));
	}

	return LogManager.LOGGERS.get(_loggerName);
};
