var EqualsBuilder = require("bn-lang-util").EqualsBuilder;

var MyObject = function(){this.init.apply(this, arguments);};
exports.MyObject = MyObject;

/** @ignore */
MyObject.prototype.init = function(_value) {

	this.name = _value;
	this.prop1 = "One";
	this.prop2 = "Two";
	this.prop3 = "Three";
};

MyObject.prototype.equals = function(_object) {

	return new EqualsBuilder()
				.append(this.name, _object.name)
				.append(this.prop1, _object.prop1)
				.append(this.prop2, _object.prop2)
				.append(this.prop3, _object.prop3)
				.getEquals();
};

MyObject.NAME = "MyObject";
