var TestSuite = require("bn-unit").TestSuite;

var EqualsBuilderTest		= require("./EqualsBuilderTest").EqualsBuilderTest;
var SimpleDateFormatTest	= require("./SimpleDateFormatTest").SimpleDateFormatTest;

var UtilTestSuite = function(){this.init.apply(this, arguments);};
exports.UtilTestSuite = UtilTestSuite;

UtilTestSuite.prototype.init = function(){};
UtilTestSuite.suite = function() {

	var _suite = new TestSuite("Tests for Util");

	_suite.addTest(new TestSuite(EqualsBuilderTest.getName(), EqualsBuilderTest));
	_suite.addTest(new TestSuite(SimpleDateFormatTest.getName(), SimpleDateFormatTest));

	return _suite;
};